WordPress.org

Ready to get started?Download WordPress

Forums

Akismet
[resolved] Missing argument 2 for wpdb::prepare() error with WordPress 3.5 (7 posts)

  1. Prasanna SP
    Member
    Posted 1 year ago #

    After updating to WordPress 3.5 Akismet is showing this warning on comments page.

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/xxxx/public_html/wp-content/plugins/akismet/admin.php on line 332 and defined in /home/xxxx/public_html/wp-includes/wp-db.php on line 990

    I guess it is related to this ticket. Found two more similar topics in WordPress support forum. But none of them are posted in Akismet support forum. So I'm reporting it here. Any fixes or updates would be great!

    Similar threads,
    http://wordpress.org/support/topic/akismet-causing-wp-dbphp-problem-after-35-upgrade?replies=2

    http://wordpress.org/support/topic/warning-missing-argument-2-for-wpdbprepare-2?replies=2

    http://wordpress.org/extend/plugins/akismet/

  2. Prasanna SP
    Member
    Posted 1 year ago #

    I just logged in back to my WordPress dashboard and this warning is no longer appearing on comments page. Strange!

    I'm looking for others' voice before marking this thread as resolved, since some people still reporting the same issue in the above threads.

  3. Mathieu M
    Member
    Posted 1 year ago #

    I have the same issue. It happened yesterday and stopped but now it is back.

  4. Mark (podz)
    Support Maven
    Posted 1 year ago #

    This will be fixed in the next release which should be today.

    Akismet's performance is not affected and there are no security issues.

    Apologies for not catching this earlier.

  5. Prasanna SP
    Member
    Posted 1 year ago #

    Thanks for getting back to me, Mark!
    Didn't get any update yet. Will check it tomorrow.

  6. Prasanna SP
    Member
    Posted 1 year ago #

    The recent update fixed the issue. So marking thread as resolved.

    Thank you!

  7. CarolynHADickson
    Member
    Posted 1 year ago #

    Hello, I can't access the admin area of my site since I upgraded to 3.5.1 about a month ago. These are the errors I'm getting:

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/xxxxx/public_html/wp-content/plugins/media-library-categories/media-categories.php on line 160 and defined in /home/xxxxx/public_html/wp-includes/wp-db.php on line 990

    Warning: Cannot modify header information - headers already sent by (output started at /home/xxxxx/public_html/wp-includes/wp-db.php:990) in /home/xxxxx/public_html/wp-includes/pluggable.php on line 876

    I didn't make a back-up and now I don't know how to resolve this.
    Can anyone help?

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags